<?php

require_once implode('/', [__DIR__, 'filters.php']);

add_action('wp_enqueue_scripts', 'jsk_theme_enqueue_styles');
add_action('wp_head', 'jsk_wp_header');

add_action('after_setup_theme', 'jsk_setup_theme');

/**
 *  load junseikai theme style sheets
 */
function jsk_theme_enqueue_styles() {
    $parent_hdl = 'parent-style';
    $theme = wp_get_theme();
    wp_enqueue_style($parent_hdl, 
        implode('/', [get_template_directory_uri(), 'style.css']),
        [],
        $theme->parent()->get('Version'));
    wp_enqueue_style('juseikai-style',
        get_stylesheet_uri(),
        [$parent_hdl],
        get_stylesheet_uri(), 
        $theme->get('Version'));
}

/**
 * handle wordpress header
 */
function jsk_wp_header() {
    echo <<<EOT
<meta name="msvalidate.01" content="8A2703FA5B0CE99A93E2200788416C5E" />
EOT;
}

/**
 * setup junseikai theme
 */
function jsk_setup_theme() {
    $dbg_res = load_child_theme_textdomain('junseikai',
        implode('/',  [get_stylesheet_directory(), 'languages']));
}
	

\jsk\Filters::$instance->register();

// vi: se ts=4 sw=4 et:
